This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 427317

Summary: qemu-kvm no longer boots
Product: [Fedora] Fedora Reporter: Tom London <selinux>
Component: kvmAssignee: Jeremy Katz <katzj>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: atkac, berrange, clalance, redhat-bugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-15 23:02:48 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Tom London 2008-01-02 20:13:46 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2008-01-02 20:16:10 EST
[Shoot.... elbow hit the key....]
qemu-kvm no longer 'boots up' images.  Appears to get stuck fiddling with the clock.

Strace reports endless number of :
select(0, [], [], [], {0, 0})           = 0 (Timeout)
gettimeofday({1199318955, 648246}, NULL) = 0
clock_gettime(CLOCK_MONOTONIC, {8944, 629962819}) = 0
ioctl(4, 0x4008ae61, 0xbf9da314)        = 0
ioctl(4, 0x4008ae61, 0xbf9da314)        = 0
clock_gettime(CLOCK_MONOTONIC, {8944, 630512480}) = 0
clock_gettime(CLOCK_MONOTONIC, {8944, 630690649}) = 0
timer_gettime(0, {it_interval={0, 0}, it_value={0, 0}}) = 0
timer_settime(0, 0, {it_interval={0, 0}, it_value={0, 14000000}}, NULL) = 0
clock_gettime(CLOCK_MONOTONIC, {8944, 631352408}) = 0
clock_gettime(CLOCK_MONOTONIC, {8944, 631531903}) = 0
clock_gettime(CLOCK_MONOTONIC, {8944, 631708745}) = 0
timer_gettime(0, {it_interval={0, 0}, it_value={0, 13206448}}) = 0
timer_settime(0, 0, {it_interval={0, 0}, it_value={0, 13000000}}, NULL) = 0
ioctl(5, 0xae80, 0)                     = -1 EINTR (Interrupted system call)
rt_sigtimedwait([USR2 ALRM IO], {si_signo=SIGALRM, si_code=SI_TIMER, si_pid=0,
si_uid=0, si_value={int=0, ptr=0}}, 0xbf9da4e8, 8) = 14
rt_sigaction(SIGALRM, NULL, {0x804d834, ~[KILL STOP RTMIN RT_1], 0}, 8) = 0
rt_sigtimedwait([USR2 ALRM IO], 0x8183e60) = -1 EAGAIN (Resource temporarily
unavailable)
select(0, [], [], [], {0, 0})           = 0 (Timeout)
gettimeofday({1199318955, 666181}, NULL) = 0

etc.

Happens every time.

Version: kvm-58-2.fc9.i386

Reverting to kvm-56-1.fc9 fixes....
Comment 2 Jeremy Katz 2008-01-02 20:26:53 EST
Yeah, it looks like upstream broke compatibility with older modules... reported
there (see thread started by Rich Jones on kvm-devel earlier today)
Comment 3 Bill Nottingham 2008-01-15 23:02:48 EST
Will be fixed in 59-1 or 58-3.